/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.test.aop.annotated;

import org.jboss.aop.advice.Interceptor;
import org.jboss.aop.joinpoint.Invocation;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.8.2 $
 * 
 * @@org.jboss.aop.InterceptorDef (scope=org.jboss.aop.advice.Scope.PER_VM)
 * @@org.jboss.aop.Bind (pointcut="execution(* org.jboss.test.aop.annotated.VariaPOJO->precedenceMethod())")
 */
public class PrecedenceInterceptor2 implements Interceptor
{

   public String getName()
   {
      return "PrecedenceInterceptor2";
   }

   public Object invoke(Invocation invocation) throws Throwable
   {
      Interceptions.add("PrecedenceInterceptor2");
      System.out.println("PrecedenceInterceptor2");
      return invocation.invokeNext();
   }
}
